Name:		recutils
Version:	1.3
Release:	2%{?dist}
Summary:	A set of tools to access GNU recfile databases

License:	GPLv3+
URL:		http://www.gnu.org/software/recutils/
Source0:	ftp://ftp.gnu.org/gnu/recutils/%{name}-%{version}.tar.gz
Source1:	rec-mode-init.el
Patch0:		0001-Fix-size-constraint-handling-on-LP64-systems.patch

BuildRequires:	gettext
Requires:	%{name}-libs = %{version}-%{release}
Requires(post): info
Requires(preun): info

%description
Recutils is a set of tools and libraries to access human-editable,
text-based databases called recfiles. The data is stored as a sequence
of records, each record containing an arbitrary number of named
fields.

%package libs
Summary:	Runtime libraries for recutils
Group:		System Environment/Libraries
Requires(post):	/sbin/ldconfig
Requires(postun):	/sbin/ldconfig

%description libs
This package contains the libraries for recutils

%package devel
Summary:	Libraries and header files for recutils
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Libraries and header files for recutils


%prep
%setup -q
%patch0 -p1 -b .recfix-size-lp64


%build
%configure --disable-static --disable-rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}
%{_emacs_bytecompile} etc/rec-mode.el


%check
# need to manually set LD_RUN_PATH, since libtool is modified to not
# hard-code it in the executables, in build
LD_RUN_PATH=`pwd`/src/.libs
export LD_RUN_PATH
make check


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

# install Emacs mode
install -dm 755 %{buildroot}%{_emacs_sitelispdir}
install -pm 644 etc/rec-mode.el* %{buildroot}%{_emacs_sitelispdir}
# by default, the Emacs mode is installed under datadir.
rm -f %{buildroot}%{_datadir}/rec-mode.el

# install startup file for the Emacs mode installed above
install -dm 755 %{buildroot}/%{_emacs_sitestartdir}/
install -pm 644 %{SOURCE1} %{buildroot}/%{_emacs_sitestartdir}/

rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/recutils
%{_infodir}/*.info*
%{_emacs_sitelispdir}/*.el*
%{_emacs_sitestartdir}/*.el

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/rec.h
%{_libdir}/*.so


%changelog
* Tue May 17 2011 Daiki Ueno <dueno@redhat.com> - 1.3-2
- run test suite when building

* Thu May 12 2011 Daiki Ueno <dueno@redhat.com> - 1.3-1
- initial packaging for Fedora

